Package csb :: Package statistics :: Package pdf :: Class AbstractEstimator

[frames] | no frames]

# Class AbstractEstimator

source code

    object --+
             |
            AbstractEstimator

Known Subclasses:
  - scalemixture.ScaleMixturePriorEstimator
  - , scalemixture.GammaScaleMAP
  - , scalemixture.GammaScaleSampler
  - , scalemixture.InvGammaScaleMAP
  - , scalemixture.InvGammaScaleSampler
  - , DirichletEstimator
  - , GammaMLEstimator
  - , GaussianMLEstimator
  - , GenNormalBruteForceEstimator
  - , GumbelMaxMomentsEstimator
  - , GumbelMinMomentsEstimator
  - , InverseGaussianMLEstimator
  - , LaplaceMLEstimator
  - , MultivariateGaussianMLEstimator
  - , NullEstimator

Density parameter estimation strategy.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

AbstractDensity

estimate(self, context, data) Estimate the parameters of the distribution from same {data}. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``estimate``'``])``

Properties
Inherited from `object`: `__class__`

Method Details

### estimate(self, context, data)

source code

Estimate the parameters of the distribution from same {data}.

Parameters:
  - `context` (AbstractDensity) - context distribution
  - `data` (array) - sample values
Returns: AbstractDensity
  a new distribution, initialized with the estimated parameters
Raises:
  - `EstimationFailureError` - if estimation is not possible